View Issue Details

IDProjectCategoryView StatusLast Update
0000005file[All Projects] Generalpublic2018-08-01 09:05
ReportertobiasAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi686OSLinuxOS Version4.17.2
Product Version 
Target VersionFixed in Version 
Summary0000005: seccomp is lacking 32 bit support
DescriptionThe allowed system calls are not enough for 32 bit Linux systems with large file support.

I have extended the commands to pass installation (make install fails during magic creation) and at least basic usage.
Steps To ReproduceRun "./configure && make && make install" on a 32 bit Linux system which uses large file support.
TagsNo tags attached.
Attach Tags

Activities

tobias

2018-06-22 14:50

reporter  

file-5.33-seccomp.patch (735 bytes)
--- file-5.33/src/seccomp.c~	2017-11-04 02:14:25.000000000 +0100
+++ file-5.33/src/seccomp.c	2018-06-17 12:06:01.156736028 +0200
@@ -169,12 +169,18 @@
 	ALLOW_RULE(exit);
 	ALLOW_RULE(exit_group);
 	ALLOW_RULE(fcntl);  
+	ALLOW_RULE(fcntl64);  
 	ALLOW_RULE(fstat);
+	ALLOW_RULE(fstat64);
 	ALLOW_RULE(getdents);
+	ALLOW_RULE(getdents64);
 	ALLOW_RULE(ioctl);
 	ALLOW_RULE(lseek);
+	ALLOW_RULE(_llseek);
 	ALLOW_RULE(lstat);
+	ALLOW_RULE(lstat64);
 	ALLOW_RULE(mmap);
+	ALLOW_RULE(mmap2);
 	ALLOW_RULE(mprotect);
 	ALLOW_RULE(mremap);
 	ALLOW_RULE(munmap);
@@ -188,6 +194,7 @@
 	ALLOW_RULE(rt_sigreturn);
 	ALLOW_RULE(select);
 	ALLOW_RULE(stat);
+	ALLOW_RULE(stat64);
 	ALLOW_RULE(sysinfo);
 	ALLOW_RULE(unlink);
 	ALLOW_RULE(write);

christos

2018-06-23 16:09

manager   ~0000004

Patch applied, thanks!

christos

2018-08-01 09:05

manager   ~0000028

feedback timeout

Issue History

Date Modified Username Field Change
2018-06-22 14:50 tobias New Issue
2018-06-22 14:50 tobias File Added: file-5.33-seccomp.patch
2018-06-23 16:09 christos Assigned To => christos
2018-06-23 16:09 christos Status new => assigned
2018-06-23 16:09 christos Status assigned => feedback
2018-06-23 16:09 christos Note Added: 0000004
2018-08-01 09:05 christos Status feedback => resolved
2018-08-01 09:05 christos Resolution open => fixed
2018-08-01 09:05 christos Note Added: 0000028